# coleitr.h File Reference

C++ API: Collation Element Iterator. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/tblcoll.h"`
`#include "unicode/ucoleitr.h"`

Go to the source code of this file.

## Data Structures
class | CollationElementIterator
| The CollationElementIterator class is used as an iterator to walk through each character of an international string. More...
## Typedefs
typedef struct UCollationElements | UCollationElements
| File coleitr.h.

## Detailed Description

C++ API: Collation Element Iterator.

Definition in file coleitr.h.

## Typedef Documentation

typedef struct UCollationElements UCollationElements

File coleitr.h.

Created by: Helena Shih

Modification History:

Date Name Description

8/18/97 helena Added internal API documentation. 08/03/98 erm Synched with 1.2 version CollationElementIterator.java 12/10/99 aliu Ported Thai collation support from Java. 01/25/01 swquek Modified into a C++ wrapper calling C APIs (ucoliter.h) 02/19/01 swquek Removed CollationElementsIterator() since it is private constructor and no calls are made to it The UCollationElements struct. For usage in C programs.

Stable:
  ICU 2.0

Definition at line 49 of file coleitr.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines